# Copyright (C) SEIKO EPSON CORPORATION 2005.

%define PREFIX /usr
%define BINDIR %{PREFIX}/bin
%define ETCDIR /etc
%define VARDIR /var
%define LIBDIR %{PREFIX}/lib
%define AVADIR %{PREFIX}/local/EPAva
%define DEAMONDIR %{AVADIR}/printer
%define DATADIR %{AVADIR}/LITE
%define LOCALEDIR %{PREFIX}/share/locale

%define CUPS_SERVER_DIR %{PREFIX}/lib/cups
%define CUPS_DATA_DIR %{PREFIX}/share/cups

Summary: Photo Image Print System Lite (i386)
Summary(ja): Photo Image Print System Lite (i386)
Name: pipslite
Version: 1.0.0
Release: 1
Copyright: Copyright (C) 2005 EPSON AVASYS Corporation. / Copyright (C) SEIKO EPSON CORPORATION 2005.
Group: System/Printer
Source0: %{name}-%{version}.tar.gz
Packager: EPSON AVASYS Corporation
Vendor: EPSON AVASYS Corporation <http://www.avasys.jp/>
BuildRoot: /var/tmp/%{name}-%{version}

%description

%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup
./configure --prefix=/usr

%build
make CFLAGS="-g -O2" CXXFLAGS="-g -O2"

%install
make install-strip DESTDIR=${RPM_BUILD_ROOT}

%post
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/scripts/inst-lpr-post.sh install
ln -fs %{DATADIR}/scripts/setup-lpr.sh %{DATADIR}/setup

%preun
if [ "$1" = 0 ] ; then
	DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/scripts/inst-lpr-post.sh deinstall
	rm -f %{DATADIR}/setup
fi

%postun
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

if [ "$1" = 0 ] ; then
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/scripts
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/rc.d
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DEAMONDIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{AVADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}/var/ekpd
fi

%files
%defattr(-,root,root)

%{ETCDIR}/ekpdrc
%{BINDIR}/ekpstm
%{BINDIR}/pipslite
%{LIBDIR}/liblite.so
%{DATADIR}/filterlite
#%{DATADIR}/inst-post.sh
%{DATADIR}/inst-rc_d.sh
%{DATADIR}/lang
%{DATADIR}/rc.d/ekpd.debian
%{DATADIR}/rc.d/ekpd.local.slackware
%{DATADIR}/rc.d/ekpd.redhat
%{DATADIR}/rc.d/ekpd.slackware
%{DATADIR}/readmelite
%{DATADIR}/readmelite.ja
%{DATADIR}/scripts/en.lc
%{DATADIR}/scripts/ja.lc
%{DATADIR}/scripts/inst-lpr-post.sh
%{DATADIR}/scripts/setup-lpr.sh
#%{DATADIR}/setup
%{DEAMONDIR}/ekpd
%{DEAMONDIR}/freset
%{DEAMONDIR}/gsconfig
%{DEAMONDIR}/paper_list.csv

%doc AUTHORS
%doc COPYING
%doc EAPL.en.txt
%doc EAPL.ja.txt
%doc COPYING.LIB
%doc ChangeLog
%doc README

%{LOCALEDIR}/de/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/en/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/es/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/fr/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/it/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/ja/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/ko/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/nl/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/pt/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/zh/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/zh_TW/LC_MESSAGES/pipslite.mo

%{VARDIR}/ekpd/ekplp0



%package -n pipslite-cups
Summary: Photo Image Print System Lite - CUPS version (i386)
Summary(ja): Photo Image Print System Lite - CUPSб (i386)
Group: System/Printer
#uncomment to remove dependency checks
AutoReqProv:   no
# Kondara requires
Requires: ld-linux.so.2
Requires: libX11.so.6
Requires: libXext.so.6
Requires: libXi.so.6
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.1)
Requires: libc.so.6(GLIBC_2.1.3)
#Requires: libcrypt.so.1
#Requires: libcrypto.so.0.9.6
Requires: openssl
Requires: libcups.so.2
Requires: libcupsimage.so.2
Requires: libdl.so.2
Requires: libdl.so.2(GLIBC_2.0)
Requires: libdl.so.2(GLIBC_2.1)
Requires: libgdk-1.2.so.0
Requires: libglib-1.2.so.0
Requires: libgmodule-1.2.so.0
Requires: libgtk-1.2.so.0
Requires: libjpeg.so.62
Requires: libm.so.6
Requires: libnsl.so.1
Requires: libpng.so.3
Requires: libpthread.so.0
Requires: libpthread.so.0(GLIBC_2.0)
Requires: libpthread.so.0(GLIBC_2.1)
#Requires: libssl.so.0.9.6
Requires: libtiff.so.3
Requires: libz.so.1

%description -n pipslite-cups

%post -n pipslite-cups
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/scripts/inst-cups-post.sh install
ln -fs %{DATADIR}/scripts/setup-cups.sh %{DATADIR}/setup

%preun -n pipslite-cups
if [ "$1" = 0 ] ; then
	DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/scripts/inst-cups-post.sh deinstall
	rm -f %{DATADIR}/setup
fi

%postun -n pipslite-cups
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

if [ "$1" = 0 ] ; then
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/scripts
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/rc.d
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DEAMONDIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{AVADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}/var/ekpd
fi

%files -n pipslite-cups
%defattr(-,root,root)

%{ETCDIR}/ekpdrc
%{BINDIR}/ekpstm
%{CUPS_SERVER_DIR}/backend/ekplp
%{CUPS_SERVER_DIR}/filter/pipstoprinter
%{CUPS_SERVER_DIR}/filter/rastertopips
%{LIBDIR}/liblite.so
#%{DATADIR}/cupsopt.csv
%{DATADIR}/inst-rc_d.sh
%{DATADIR}/rc.d/ekpd.debian
%{DATADIR}/rc.d/ekpd.local.slackware
%{DATADIR}/rc.d/ekpd.redhat
%{DATADIR}/rc.d/ekpd.slackware
%{DATADIR}/readmelite-cups
%{DATADIR}/readmelite-cups.ja
%{DATADIR}/scripts/en.lc
%{DATADIR}/scripts/ja.lc
%{DATADIR}/scripts/inst-cups-post.sh
%{DATADIR}/scripts/setup-cups.sh
#%{DATADIR}/setup
%{DATADIR}/pipslite-install
%{DEAMONDIR}/ekpd
%{DEAMONDIR}/paper_list.csv

%doc AUTHORS
%doc COPYING
%doc EAPL.en.txt
%doc EAPL.ja.txt
%doc COPYING.LIB
%doc ChangeLog
%doc README

%{LOCALEDIR}/de/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/en/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/es/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/fr/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/it/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/ja/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/ko/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/nl/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/pt/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/zh/LC_MESSAGES/pipslite.mo
%{LOCALEDIR}/zh_TW/LC_MESSAGES/pipslite.mo

%{VARDIR}/ekpd/ekplp0
